2021-02-24 18:41 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000236Frama-CGraphical User Interfacepublic2014-02-12 16:56
Reportermehdi 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C Beryllium-20090901 
Target VersionFixed in VersionFrama-C Beryllium-20090902 
Summary0000236: Error when linking the viewer
Description
Hello,

When compiling the viewer with a system installation of ocamlgraph, I get this error:

Linking bin/viewer.byte
File "_none_", line 1, characters 0-1:
Error: Error while linking lib/gui/Syntactic_callgraph.cmo:
Reference to undefined global `DGraphView'

Please find attached a patch that fixes the issue.

Kind regards,
TagsNo tags attached.
Attached Files
  • patch file icon 0003-Add-dGraphView.cmo-when-linking.patch (721 bytes) 2009-09-10 13:48 -
    From: Mehdi Dogguy <mehdi@debian.org>
    Date: Wed, 9 Sep 2009 17:25:18 +0200
    Subject: [PATCH] Add dGraphView.cmo when linking
    
    ---
     Makefile |    2 +-
     1 files changed, 1 insertions(+), 1 deletions(-)
    
    diff --git a/Makefile b/Makefile
    index 65d9f77..3a70533 100644
    --- a/Makefile
    +++ b/Makefile
    @@ -357,7 +357,7 @@ OPT_LIBS+= graph.cmxa
     ifeq ($(HAS_GNOMECANVAS),yes)
     ifeq ($(ENABLE_SYNTACTIC_CALLGRAPH),yes)
     GRAPH_GUICMO_BASE= xDotDraw.cmo dGraphModel.cmo xDot.cmo dGraphViewItem.cmo \
    -	concreteModel.cmo
    +	dGraphView.cmo concreteModel.cmo
     GRAPH_GUICMO_BASE+= viewGraph.cmo viewGraph_select.cmo viewGraph_utils.cmo
     GRAPH_GUICMO=$(GRAPH_GUICMO_BASE:%=$(OCAMLGRAPH_HOME)/%)
     GRAPH_GUICMX= $(GRAPH_GUICMO:.cmo=.cmx)
    -- 
    
    patch file icon 0003-Add-dGraphView.cmo-when-linking.patch (721 bytes) 2009-09-10 13:48 +

-Relationships
+Relationships

-Notes
There are no notes attached to this issue.
+Notes

-Issue History
Date Modified Username Field Change
2009-09-10 13:48 mehdi New Issue
2009-09-10 13:48 mehdi File Added: 0003-Add-dGraphView.cmo-when-linking.patch
2009-09-12 07:15 signoles Status new => assigned
2009-09-12 07:15 signoles Assigned To => signoles
2009-09-12 07:28 signoles Status assigned => acknowledged
2009-09-14 17:15 signoles Status acknowledged => confirmed
2009-09-14 17:59 svn
2009-09-14 17:59 svn Status confirmed => resolved
2009-09-14 17:59 svn Resolution open => fixed
2009-09-23 15:26 signoles Fixed in Version => Frama-C Beryllium 2
2009-09-23 20:22 signoles Status resolved => closed
2013-12-19 01:13 signoles Source_changeset_attached => framac master 8295a7d5
2014-02-12 16:56 signoles Source_changeset_attached => framac stable/neon 8295a7d5
+Issue History